[ID]
af = 0x0436, "Afrikaans", "Afrikaans", "ltr"
af-ZA = 0x0436, "Afrikaans (South Africa)", "Afrikaans (Suid Afrika)", "ltr"
am = 0x045E, "Amharic", "አማርኛ", "ltr"
am-ET = 0x045E, "Amharic (Ethiopia)", "አማርኛ (ኢትዮጵያ)", "ltr"
ar = 0x0401, "Arabic", "العربية", "rtl"
ar-AE = 0x3801, "Arabic (U.A.E.)", "العربية (الإمارات العربية المتحدة)", "rtl"
ar-BH = 0x3C01, "Arabic (Bahrain)", "العربية (البحرين)", "rtl"
ar-DZ = 0x1401, "Arabic (Algeria)", "العربية (الجزائر)", "rtl"
ar-EG = 0x0C01, "Arabic (Egypt)", "العربية (مصر)", "rtl"
ar-IQ = 0x0801, "Arabic (Iraq)", "العربية (العراق)", "rtl"
ar-JO = 0x2C01, "Arabic (Jordan)", "العربية (الأردن)", "rtl"
ar-KW = 0x3401, "Arabic (Kuwait)", "العربية (الكويت)", "rtl"
ar-LB = 0x3001, "Arabic (Lebanon)", "العربية (لبنان)", "rtl"
ar-LY = 0x1001, "Arabic (Libya)", "العربية (ليبيا)", "rtl"
ar-MA = 0x1801, "Arabic (Morocco)", "العربية (المملكة المغربية)", "rtl"
ar-OM = 0x2001, "Arabic (Oman)", "العربية (عمان)", "rtl"
ar-QA = 0x4001, "Arabic (Qatar)", "العربية (قطر)", "rtl"
ar-SA = 0x0401, "Arabic (Saudi Arabia)", "العربية (المملكة العربية السعودية)", "rtl"
ar-SY = 0x2801, "Arabic (Syria)", "العربية (سوريا)", "rtl"
ar-TN = 0x1C01, "Arabic (Tunisia)", "العربية (تونس)", "rtl"
ar-YE = 0x2401, "Arabic (Yemen)", "العربية (اليمن)", "rtl"
arn = 0x047A, "Mapudungun", "Mapudungun", "ltr"
arn-CL = 0x047A, "Mapudungun (Chile)", "Mapudungun (Chile)", "ltr"
as = 0x044D, "Assamese", "অসমীয়া", "ltr"
as-IN = 0x044D, "Assamese (India)", "অসমীয়া (ভাৰত)", "ltr"
az = 0x042C, "Azeri", "Azərbaycan­ılı", "ltr"
az-Cyrl-AZ = 0x042C, "Azeri (Cyrillic, Azerbaijan)", "Азәрбајҹан (Азәрбајҹан)", "ltr"
az-Latn-AZ = 0x082C, "Azeri (Latin, Azerbaijan)", "Azərbaycan­ılı (Azərbaycanca)", "ltr"
ba = 0x046D, "Bashkir", "Башҡорт", "ltr"
ba-RU = 0x046D, "Bashkir (Russia)", "Башҡорт (Россия)", "ltr"
be = 0x0423, "Belarusian", "Беларускі", "ltr"
be-BY = 0x0423, "Belarusian (Belarus)", "Беларускі (Беларусь)", "ltr"
bg = 0x0402, "Bulgarian", "български", "ltr"
bg-BG = 0x0402, "Bulgarian (Bulgaria)", "български (България)", "ltr"
bn = 0x0445, "Bengali", "বাংলা", "ltr"
bn-BD = 0x0845, "Bengali (Bangladesh)", "বাংলা (বাংলাদেশ)", "ltr"
bn-IN = 0x0445, "Bengali (India)", "বাংলা (ভারত)", "ltr"
bo = 0x0451, "Tibetan", "བོད་ཡིག", "ltr"
bo-CN = 0x0451, "Tibetan (PRC)", "བོད་ཡིག (ཀྲུང་ཧྭ་མི་དམངས་སྤྱི་མཐུན་རྒྱལ་ཁབ།)", "ltr"
br = 0x047E, "Breton", "brezhoneg", "ltr"
br-FR = 0x047E, "Breton (France)", "brezhoneg (Frañs)", "ltr"
bs = 0x141A, "Bosnian", "bosanski", "ltr"
bs-Cyrl-BA = 0x201A, "Bosnian (Cyrillic, Bosnia and Herzegovina)", "босански (Босна и Херцеговина)", "ltr"
bs-Latn-BA = 0x141A, "Bosnian (Latin, Bosnia and Herzegovina)", "bosanski (Bosna i Hercegovina)", "ltr"
ca = 0x0403, "Catalan", "català", "ltr"
ca-ES = 0x0403, "Catalan (Catalan)", "català (català)", "ltr"
co = 0x0483, "Corsican", "Corsu", "ltr"
co-FR = 0x0483, "Corsican (France)", "Corsu (France)", "ltr"
cs = 0x0405, "Czech", "Čeština", "ltr"
cs-CZ = 0x0405, "Czech (Czech Republic)", "Čeština (Česká republika)", "ltr"
cy = 0x0452, "Welsh", "Cymraeg", "ltr"
cy-GB = 0x0452, "Welsh (United Kingdom)", "Cymraeg (y Deyrnas Unedig)", "ltr"
da = 0x0406, "Danish", "Dansk", "ltr"
da-DK = 0x0406, "Danish (Denmark)", "Dansk (Danmark)", "ltr"
de = 0x0407, "German", "Deutsch", "ltr"
de-AT = 0x0C07, "German (Austria)", "Deutsch (Österreich)", "ltr"
de-CH = 0x0807, "German (Switzerland)", "Deutsch (Schweiz)", "ltr"
de-DE = 0x0407, "German (Germany)", "Deutsch (Deutschland)", "ltr"
de-LI = 0x1407, "German (Liechtenstein)", "Deutsch (Liechtenstein)", "ltr"
de-LU = 0x1007, "German (Luxembourg)", "Deutsch (Luxemburg)", "ltr"
dsb = 0x082E, "Lower Sorbian", "Dolnoserbšćina", "ltr"
dsb-DE = 0x082E, "Lower Sorbian (Germany)", "Dolnoserbšćina (Nimska)", "ltr"
dv = 0x0465, "Divehi", "ދިވެހިބަސް", "ltr"
dv-MV = 0x0465, "Divehi (Maldives)", "ދިވެހިބަސް (ދިވެހި ރާއްޖެ)", "ltr"
el = 0x0408, "Greek", "Ελληνικά", "ltr"
el-GR = 0x0408, "Greek (Greece)", "Ελληνικά (Ελλάδα)", "ltr"
en = 0x0409, "English", "English", "ltr"
en-029 = 0x2409, "English (Caribbean)", "English (Caribbean)", "ltr"
en-AU = 0x0C09, "English (Australia)", "English (Australia)", "ltr"
en-BZ = 0x2809, "English (Belize)", "English (Belize)", "ltr"
en-CA = 0x1009, "English (Canada)", "English (Canada)", "ltr"
en-GB = 0x0809, "English (United Kingdom)", "English (United Kingdom)", "ltr"
en-IE = 0x1809, "English (Ireland)", "English (Eire)", "ltr"
en-IN = 0x4009, "English (India)", "English (India)", "ltr"
en-JM = 0x2009, "English (Jamaica)", "English (Jamaica)", "ltr"
en-MY = 0x4409, "English (Malaysia)", "English (Malaysia)", "ltr"
en-NZ = 0x1409, "English (New Zealand)", "English (New Zealand)", "ltr"
en-PH = 0x3409, "English (Republic of the Philippines)", "English (Philippines)", "ltr"
en-SG = 0x4809, "English (Singapore)", "English (Singapore)", "ltr"
en-TT = 0x2C09, "English (Trinidad and Tobago)", "English (Trinidad y Tobago)", "ltr"
en-US = 0x0409, "English (United States)", "English (United States)", "ltr"
en-ZA = 0x1C09, "English (South Africa)", "English (South Africa)", "ltr"
en-ZW = 0x3009, "English (Zimbabwe)", "English (Zimbabwe)", "ltr"
eo = 0x0409, "Esperanto", "Esperanto", "ltr"
es = 0x040A, "Spanish", "Español", "ltr"
es-AR = 0x2C0A, "Spanish (Argentina)", "Español (Argentina)", "ltr"
es-BO = 0x400A, "Spanish (Bolivia)", "Español (Bolivia)", "ltr"
es-CL = 0x340A, "Spanish (Chile)", "Español (Chile)", "ltr"
es-CO = 0x240A, "Spanish (Colombia)", "Español (Colombia)", "ltr"
es-CR = 0x140A, "Spanish (Costa Rica)", "Español (Costa Rica)", "ltr"
es-DO = 0x1C0A, "Spanish (Dominican Republic)", "Español (República Dominicana)", "ltr"
es-EC = 0x300A, "Spanish (Ecuador)", "Español (Ecuador)", "ltr"
es-ES = 0x040A, "Spanish (Spain)", "Español (España)", "ltr"
es-GT = 0x100A, "Spanish (Guatemala)", "Español (Guatemala)", "ltr"
es-HN = 0x480A, "Spanish (Honduras)", "Español (Honduras)", "ltr"
es-MX = 0x080A, "Spanish (Mexico)", "Español (México)", "ltr"
es-NI = 0x4C0A, "Spanish (Nicaragua)", "Español (Nicaragua)", "ltr"
es-PA = 0x180A, "Spanish (Panama)", "Español (Panamá)", "ltr"
es-PE = 0x280A, "Spanish (Peru)", "Español (Perú)", "ltr"
es-PR = 0x500A, "Spanish (Puerto Rico)", "Español (Puerto Rico)", "ltr"
es-PY = 0x3C0A, "Spanish (Paraguay)", "Español (Paraguay)", "ltr"
es-SV = 0x440A, "Spanish (El Salvador)", "Español (El Salvador)", "ltr"
es-US = 0x540A, "Spanish (United States)", "Español (Estados Unidos)", "ltr"
es-UY = 0x380A, "Spanish (Uruguay)", "Español (Uruguay)", "ltr"
es-VE = 0x200A, "Spanish (Venezuela)", "Español (Republica Bolivariana de Venezuela)", "ltr"
et = 0x0425, "Estonian", "Eesti", "ltr"
et-EE = 0x0425, "Estonian (Estonia)", "Eesti (Eesti)", "ltr"
eu = 0x042D, "Basque", "Euskara", "ltr"
eu-ES = 0x042D, "Basque (Basque)", "Euskara (Euskara)", "ltr"
fa = 0x0429, "Persian", "فارسى", "rtl"
fa-IR = 0x0429, "Persian (Iran)", "فارسى (ايران)", "rtl"
fi = 0x040B, "Finnish", "Suomi", "ltr"
fi-FI = 0x040B, "Finnish (Finland)", "Suomi (Suomi)", "ltr"
fil = 0x0464, "Filipino", "Filipino", "ltr"
fil-PH = 0x0464, "Filipino (Philippines)", "Filipino (Pilipinas)", "ltr"
fo = 0x0438, "Faroese", "Føroyskt", "ltr"
fo-FO = 0x0438, "Faroese (Faroe Islands)", "Føroyskt (Føroyar)", "ltr"
fr = 0x040C, "French", "Français", "ltr"
fr-BE = 0x080C, "French (Belgium)", "Français (Belgique)", "ltr"
fr-CA = 0x0C0C, "French (Canada)", "Français (Canada)", "ltr"
fr-CH = 0x100C, "French (Switzerland)", "Français (Suisse)", "ltr"
fr-FR = 0x040C, "French (France)", "Français (France)", "ltr"
fr-LU = 0x140C, "French (Luxembourg)", "Français (Luxembourg)", "ltr"
fr-MC = 0x180C, "French (Principality of Monaco)", "Français (Principauté de Monaco)", "ltr"
fy = 0x0462, "Frisian", "Frysk", "ltr"
fy-NL = 0x0462, "Frisian (Netherlands)", "Frysk (Nederlân)", "ltr"
ga = 0x083C, "Irish", "Gaeilge", "ltr"
ga-IE = 0x083C, "Irish (Ireland)", "Gaeilge (Éire)", "ltr"
gl = 0x0456, "Galician", "Galego", "ltr"
gl-ES = 0x0456, "Galician (Galician)", "Galego (galego)", "ltr"
gsw = 0x0484, "Alsatian", "Elsässisch", "ltr"
gsw-FR = 0x0484, "Alsatian (France)", "Elsässisch (Frànkrisch)", "ltr"
gu = 0x0447, "Gujarati", "ગુજરાતી", "ltr"
gu-IN = 0x0447, "Gujarati (India)", "ગુજરાતી (ભારત)", "ltr"
ha = 0x0468, "Hausa", "Hausa", "ltr"
ha-Latn-NG = 0x0468, "Hausa (Latin, Nigeria)", "Hausa (Nigeria)", "ltr"
iw = 0x040D, "Hebrew", "עברית", "rtl"		;For compatible with old RFC code
he = 0x040D, "Hebrew", "עברית", "rtl"
he-IL = 0x040D, "Hebrew (Israel)", "עברית (ישראל)", "rtl"
hi = 0x0439, "Hindi", "हिंदी", "ltr"
hi-IN = 0x0439, "Hindi (India)", "हिंदी (भारत)", "ltr"
hr = 0x041A, "Croatian", "Hrvatski", "ltr"
hr-BA = 0x101A, "Croatian (Latin, Bosnia and Herzegovina)", "Hrvatski (Bosna i Hercegovina)", "ltr"
hr-HR = 0x041A, "Croatian (Croatia)", "Hrvatski (Hrvatska)", "ltr"
hsb = 0x042E, "Upper Sorbian", "Hornjoserbšćina", "ltr"
hsb-DE = 0x042E, "Upper Sorbian (Germany)", "Hornjoserbšćina (Němska)", "ltr"
ht = 0x0409, "Haitian Creole", "Kreyòl ayisyen", "ltr"
hu = 0x040E, "Hungarian", "Magyar", "ltr"
hu-HU = 0x040E, "Hungarian (Hungary)", "Magyar (Magyarország)", "ltr"
hy = 0x042B, "Armenian", "Հայերեն", "ltr"
hy-AM = 0x042B, "Armenian (Armenia)", "Հայերեն (Հայաստան)", "ltr"
ia = 0x0409, "Interlingua", "Interlingua", "ltr"
id = 0x0421, "Indonesian", "Bahasa Indonesia", "ltr"
id-ID = 0x0421, "Indonesian (Indonesia)", "Bahasa Indonesia (Indonesia)", "ltr"
ig = 0x0470, "Igbo", "Igbo", "ltr"
ig-NG = 0x0470, "Igbo (Nigeria)", "Igbo (Nigeria)", "ltr"
ii = 0x0478, "Yi", "ꆈꌠꁱꂷ", "ltr"
ii-CN = 0x0478, "Yi (PRC)", "ꆈꌠꁱꂷ (ꍏꉸꏓꂱꇭꉼꇩ)", "ltr"
is = 0x040F, "Icelandic", "Islenska", "ltr"
is-IS = 0x040F, "Icelandic (Iceland)", "Islenska (Ísland)", "ltr"
it = 0x0410, "Italian", "Italiano", "ltr"
it-CH = 0x0810, "Italian (Switzerland)", "Italiano (Svizzera)", "ltr"
it-IT = 0x0410, "Italian (Italy)", "Italiano (Italia)", "ltr"
iu = 0x045D, "Inuktitut", "ᐃᓄᒃᑎᑐᑦ", "ltr"
iu-Cans-CA = 0x045D, "Inuktitut (Canada)", "ᐃᓄᒃᑎᑐᑦ (ᑲᓇᑕ)", "ltr"
iu-Latn-CA = 0x085D, "Inuktitut (Latin, Canada)", "Inuktitut (Kanatami, kanata)", "ltr"
ja = 0x0411, "Japanese", "日本語", "ltr"
ja-JP = 0x0411, "Japanese (Japan)", "日本語 (日本)", "ltr"
ka = 0x0437, "Georgian", "ქართული", "ltr"
ka-GE = 0x0437, "Georgian (Georgia)", "ქართული (საქართველო)", "ltr"
kk = 0x043F, "Kazakh", "Қазақ", "ltr"
kk-KZ = 0x043F, "Kazakh (Kazakhstan)", "Қазақ (Қазақстан)", "ltr"
kl = 0x046F, "Greenlandic", "Kalaallisut", "ltr"
kl-GL = 0x046F, "Greenlandic (Greenland)", "Kalaallisut (Kalaallit Nunaat)", "ltr"
km = 0x0453, "Khmer", "ខ្មែរ", "ltr"
km-KH = 0x0453, "Khmer (Cambodia)", "ខ្មែរ (កម្ពុជា)", "ltr"
kn = 0x044B, "Kannada", "ಕನ್ನಡ", "ltr"
kn-IN = 0x044B, "Kannada (India)", "ಕನ್ನಡ (ಭಾರತ)", "ltr"
ko = 0x0412, "Korean", "한국어", "ltr"
ko-KR = 0x0412, "Korean (Korea)", "한국어 (대한민국)", "ltr"
kok = 0x0457, "Konkani", "कोंकणी", "ltr"
kok-IN = 0x0457, "Konkani (India)", "कोंकणी (भारत)", "ltr"
ky = 0x0440, "Kyrgyz", "Кыргыз", "ltr"
ky-KG = 0x0440, "Kyrgyz (Kyrgyzstan)", "Кыргыз (Кыргызстан)", "ltr"
la = 0x0409, "Latin", "Latin", "ltr"
lb = 0x046E, "Luxembourgish", "Lëtzebuergesch", "ltr"
lb-LU = 0x046E, "Luxembourgish (Luxembourg)", "Lëtzebuergesch (Luxembourg)", "ltr"
lo = 0x0454, "Lao", "ລາວ", "ltr"
lo-LA = 0x0454, "Lao (Lao P.D.R.)", "ລາວ (ສ.ປ.ປ. ລາວ)", "ltr"
lt = 0x0427, "Lithuanian", "Lietuvių", "ltr"
lt-LT = 0x0427, "Lithuanian (Lithuania)", "Lietuvių (Lietuva)", "ltr"
lv = 0x0426, "Latvian", "Latviešu", "ltr"
lv-LV = 0x0426, "Latvian (Latvia)", "Latviešu (Latvija)", "ltr"
mi = 0x0481, "Maori", "Reo Māori", "ltr"
mi-NZ = 0x0481, "Maori (New Zealand)", "Reo Māori (Aotearoa)", "ltr"
mk = 0x042F, "Macedonian", "македонски јазик", "ltr"
mk-MK = 0x042F, "Macedonian (Former Yugoslav Republic of Macedonia)", "македонски јазик (Македонија)", "ltr"
ml = 0x044C, "Malayalam", "മലയാളം", "ltr"
ml-IN = 0x044C, "Malayalam (India)", "മലയാളം (ഭാരതം)", "ltr"
mn = 0x0450, "Mongolian", "Монгол хэл", "ltr"
mn-MN = 0x0450, "Mongolian (Cyrillic, Mongolia)", "Монгол хэл (Монгол улс)", "ltr"
mn-Mong-CN = 0x0850, "Mongolian (Traditional Mongolian, PRC)", "ᠮᠤᠨᠭᠭᠤᠯ ᠬᠡᠯᠡ (ᠪᠦᠭᠦᠳᠡ ᠨᠠᠢᠷᠠᠮᠳᠠᠬᠤ ᠳᠤᠮᠳᠠᠳᠤ ᠠᠷᠠᠳ ᠣᠯᠣᠰ)", "ltr"
mnc = 0x0409, "Manchu", "Manju Gisun", "ltr"
moh = 0x047C, "Mohawk", "Kanien'kéha", "ltr"
moh-CA = 0x047C, "Mohawk (Canada)", "Kanien'kéha (Canada)", "ltr"
mr = 0x044E, "Marathi", "मराठी", "ltr"
mr-IN = 0x044E, "Marathi (India)", "मराठी (भारत)", "ltr"
ms = 0x043E, "Malay", "Bahasa Malaysia", "ltr"
ms-BN = 0x083E, "Malay (Brunei Darussalam)", "Bahasa Malaysia (Brunei Darussalam)", "ltr"
ms-MY = 0x043E, "Malay (Malaysia)", "Bahasa Malaysia (Malaysia)", "ltr"
mt = 0x043A, "Maltese", "Malti", "ltr"
mt-MT = 0x043A, "Maltese (Malta)", "Malti (Malta)", "ltr"
my = 0x0455, "Burmese", "ဗမာစာ", "ltr"
ne = 0x0461, "Nepali", "नेपाली", "ltr"
ne-Deva = 0x0461, "Nepali (Devanagari)", "नेपाली (देवनागरी)", "ltr"
ne-NP = 0x0461, "Nepali (Nepal)", "नेपाली (नेपाल)", "ltr"
nl = 0x0413, "Dutch", "Nederlands", "ltr"
nl-BE = 0x0813, "Dutch (Belgium)", "Nederlands (België)", "ltr"
nl-NL = 0x0413, "Dutch (Netherlands)", "Nederlands (Nederland)", "ltr"
no = 0x0414, "Norwegian", "norsk", "ltr"
nb-NO = 0x0414, "Norwegian, Bokmål (Norway)", "norsk, bokmål (Norge)", "ltr"
nn-NO = 0x0814, "Norwegian, Nynorsk (Norway)", "norsk, nynorsk (Noreg)", "ltr"
nso = 0x046C, "Sesotho sa Leboa", "Sesotho sa Leboa", "ltr"
nso-ZA = 0x046C, "Sesotho sa Leboa (South Africa)", "Sesotho sa Leboa (Afrika Borwa)", "ltr"
oc = 0x0482, "Occitan", "Occitan", "ltr"
oc-FR = 0x0482, "Occitan (France)", "Occitan (França)", "ltr"
or = 0x0448, "Oriya", "ଓଡ଼ିଆ", "ltr"
or-IN = 0x0448, "Oriya (India)", "ଓଡ଼ିଆ (ଭାରତ)", "ltr"
pa = 0x0446, "Punjabi", "ਪੰਜਾਬੀ", "ltr"
pa-IN = 0x0446, "Punjabi (India)", "ਪੰਜਾਬੀ (ਭਾਰਤ)", "ltr"
pl = 0x0415, "Polish", "Polski", "ltr"
pl-PL = 0x0415, "Polish (Poland)", "Polski (Polska)", "ltr"
prs = 0x048C, "Dari", "درى", "rtl"
prs-AF = 0x048C, "Dari (Afghanistan)", "درى (افغانستان)", "rtl"
ps = 0x0463, "Pashto", "پښتو", "trl"
ps-AF = 0x0463, "Pashto (Afghanistan)", "پښتو (افغانستان)", "rtl"
pt = 0x0416, "Portuguese", "Português", "ltr"
pt-BR = 0x0416, "Portuguese (Brazil)", "Português (Brasil)", "ltr"
pt-PT = 0x0816, "Portuguese (Portugal)", "Português (Portugal)", "ltr"
qut = 0x0486, "K'iche", "K'iche", "ltr"
qut-GT = 0x0486, "K'iche (Guatemala)", "K'iche (Guatemala)", "ltr"
quz = 0x046B, "Quechua", "runasimi", "ltr"
quz-BO = 0x046B, "Quechua (Bolivia)", "Runasimi (Bolivia Suyu)", "ltr"
quz-EC = 0x086B, "Quechua (Ecuador)", "Runasimi (Ecuador Suyu)", "ltr"
quz-PE = 0x0C6B, "Quechua (Peru)", "Runasimi (Peru Suyu)", "ltr"
rm = 0x0417, "Romansh", "Rumantsch", "ltr"
rm-CH = 0x0417, "Romansh (Switzerland)", "Rumantsch (Svizra)", "ltr"
ro = 0x0418, "Romanian", "română", "ltr"
ro-RO = 0x0418, "Romanian (Romania)", "Română (România)", "ltr"
ru = 0x0419, "Russian", "Русский", "ltr"
ru-RU = 0x0419, "Russian (Russia)", "Русский (Россия)", "ltr"
rw = 0x0487, "Kinyarwanda", "Kinyarwanda", "ltr"
rw-RW = 0x0487, "Kinyarwanda (Rwanda)", "Kinyarwanda (Rwanda)", "ltr"
sa = 0x044F, "Sanskrit", "संस्कृत", "ltr"
sa-IN = 0x044F, "Sanskrit (India)", "संस्कृत (भारतम्)", "ltr"
sah = 0x0485, "Yakut", "Cаха", "ltr"
sah-RU = 0x0485, "Yakut (Russia)", "Cаха (Россия)", "ltr"
se = 0x043B, "Sami", "Davvisámegiella", "ltr"
se-FI = 0x0C3B, "Sami (Northern, Finland)", "Davvisámegiella (Suopma)", "ltr"
se-NO = 0x043B, "Sami (Northern, Norway)", "Davvisámegiella (Norga)", "ltr"
se-SE = 0x083B, "Sami (Northern, Sweden)", "Davvisámegiella (Ruoŧŧa)", "ltr"
sma-NO = 0x183B, "Sami (Southern, Norway)", "åarjelsaemiengiele (Nöörje)", "ltr"
sma-SE = 0x1C3B, "Sami (Southern, Sweden)", "åarjelsaemiengiele (Sveerje)", "ltr"
smj-NO = 0x103B, "Sami (Lule, Norway)", "julevusámegiella (Vuodna)", "ltr"
smj-SE = 0x143B, "Sami (Lule, Sweden)", "julevusámegiella (Svierik)", "ltr"
smn-FI = 0x243B, "Sami (Inari, Finland)", "Sämikielâ (Suomâ)", "ltr"
sms-FI = 0x203B, "Sami (Skolt, Finland)", "Sääm´ǩiõll (Lää´ddjânnam)", "ltr"
si = 0x045B, "Sinhala", "සිංහ", "ltr"
si-LK = 0x045B, "Sinhala (Sri Lanka)", "සිංහ (ශ්‍රී ලංකා)", "ltr"
sk = 0x041B, "Slovak", "Slovenčina", "ltr"
sk-SK = 0x041B, "Slovak (Slovakia)", "Slovenčina (Slovenská republika)", "ltr"
sl = 0x0424, "Slovenian", "Slovenski", "ltr"
sl-SI = 0x0424, "Slovenian (Slovenia)", "Slovenski (Slovenija)", "ltr"
sq = 0x041C, "Albanian", "Shqipe", "ltr"
sq-AL = 0x041C, "Albanian (Albania)", "Shqipe (Shqipëria)", "ltr"
sr = 0x7C1A, "Serbian (Latin)", "Srpski", "ltr"
sr-Cyrl-BA = 0x1C1A, "Serbian (Cyrillic, Bosnia and Herzegovina)", "српски (Босна и Херцеговина)", "ltr"
sr-Cyrl-CS = 0x0C1A, "Serbian (Cyrillic, Serbia)", "српски (Србија)", "ltr"
sr-Latn-BA = 0x181A, "Serbian (Latin, Bosnia and Herzegovina)", "srpski (Bosna i Hercegovina)", "ltr"
sr-Latn-CS = 0x081A, "Serbian (Latin, Serbia)", "srpski (Srbija)", "ltr"
sv = 0x041D, "Swedish", "Svenska", "ltr"
sv-FI = 0x081D, "Swedish (Finland)", "Svenska (Finland)", "ltr"
sv-SE = 0x041D, "Swedish (Sweden)", "Svenska (Sverige)", "ltr"
sw = 0x0441, "Kiswahili", "Kiswahili", "ltr"
sw-KE = 0x0441, "Kiswahili (Kenya)", "Kiswahili (Kenya)", "ltr"
syr = 0x045A, "Syriac", "ܣܘܪܝܝܐ", "rtl"
syr-SY = 0x045A, "Syriac (Syria)", "ܣܘܪܝܝܐ (سوريا)", "rtl"
ta = 0x0449, "Tamil", "தமிழ்", "ltr"
ta-IN = 0x0449, "Tamil (India)", "தமிழ் (இந்தியா)", "ltr"
te = 0x044A, "Telugu", "తెలుగు", "ltr"
te-IN = 0x044A, "Telugu (India)", "తెలుగు (భారత దేశం)", "ltr"
tg = 0x0428, "Tajik", "Тоҷикӣ", "ltr"
tg-Cyrl-TJ = 0x0428, "Tajik (Cyrillic, Tajikistan)", "Тоҷикӣ (Тоҷикистон)", "ltr"
th = 0x041E, "Thai", "ไทย", "ltr"
th-TH = 0x041E, "Thai (Thailand)", "ไทย (ไทย)", "ltr"
tk = 0x0442, "Turkmen", "Türkmençe", "ltr"
tk-TM = 0x0442, "Turkmen (Turkmenistan)", "Türkmençe (Türkmenistan)", "ltr"
tl = 0x0409, "Tagalog", "Tagalog", "ltr"
tn = 0x0432, "Setswana", "Setswana", "ltr"
tn-ZA = 0x0432, "Setswana (South Africa)", "Setswana (Aforika Borwa)", "ltr"
tr = 0x041F, "Turkish", "Türkçe", "ltr"
tr-TR = 0x041F, "Turkish (Turkey)", "Türkçe (Türkiye)", "ltr"
tt = 0x0444, "Tatar", "Татар", "ltr"
tt-RU = 0x0444, "Tatar (Russia)", "Татар (Россия)", "ltr"
tzm = 0x085F, "Tamazight", "Tamazight", "ltr"
tzm-Latn-DZ = 0x085F, "Tamazight (Latin, Algeria)", "Tamazight (Djazaïr)", "ltr"
ug = 0x0480, "Uyghur", "ئۇيغۇر", "rtl"
ug-CN = 0x0480, "Uyghur (PRC)", "ئۇيغۇرچە (جۇڭگو)", "rtl"
ug-Latn-CN = 0x0480, "Uyghur (Latin, PRC)", "Uyghurche (Latin, Junggo)", "ltr"
uk = 0x0422, "Ukrainian", "Україньска", "ltr"
uk-UA = 0x0422, "Ukrainian (Ukraine)", "Україньска (Україна)", "ltr"
ur = 0x0420, "Urdu", "اُردو", "rtl"
ur-PK = 0x0420, "Urdu (Islamic Republic of Pakistan)", "اُردو (پاکستان)", "rtl"
uz = 0x0443, "Uzbek", "O‘zbek", "ltr"
uz-Cyrl-UZ = 0x0843, "Uzbek (Cyrillic, Uzbekistan)", "Ўзбек (Ўзбекистон)", "ltr"
uz-Latn-UZ = 0x0443, "Uzbek (Latin, Uzbekistan)", "O‘zbek (O‘zbekiston Respublikasi)", "ltr"
vi = 0x042A, "Vietnamese", "Tiếng Việt", "ltr"
vi-VN = 0x042A, "Vietnamese (Vietnam)", "Tiếng Việt (Việt Nam)", "ltr"
wo = 0x0488, "Wolof", "Wolof", "ltr"
wo-SN = 0x0488, "Wolof (Senegal)", "Wolof (Sénégal)", "ltr"
xh = 0x0434, "isiXhosa", "isiXhosa", "ltr"
xh-ZA = 0x0434, "isiXhosa (South Africa)", "isiXhosa (uMzantsi Afrika)", "ltr"
yi = 0x0409, "Yiddish", "יידיש", "rtl"
yo = 0x046A, "Yoruba", "Yoruba", "ltr"
yo-NG = 0x046A, "Yoruba (Nigeria)", "Yoruba (Nigeria)", "ltr"
zh = 0x0404, "Chinese", "中文", "ltr"
zh-CN = 0x0804, "Chinese (PRC)", "中文(中国)", "ltr"
zh-HK = 0x0C04, "Chinese (Hong Kong S.A.R.)", "中文(香港特别行政區)", "ltr"
zh-Hans = 0x0804, "Chinese (Simplified)", "中文(简体)", "ltr"
zh-Hant = 0x7C04, "Chinese (Traditional)", "中文(繁體)", "ltr"
zh-MO = 0x1404, "Chinese (Macao S.A.R.)", "中文(澳門特别行政區)", "ltr"
zh-SG = 0x1004, "Chinese (Singapore)", "中文(新加坡)", "ltr"
zh-TW = 0x0404, "Chinese (Taiwan)", "中文(台灣)", "ltr"
zu = 0x0435, "isiZulu", "isiZulu", "ltr"
zu-ZA = 0x0435, "isiZulu (South Africa)", "isiZulu (iNingizimu Afrika)", "ltr"

[Name]
af = Afrikaans
af-ZA = Afrikaans (South Africa)
am = Amharic
am-ET = Amharic (Ethiopia)
ar = Arabic
ar-AE = Arabic (U.A.E.)
ar-BH = Arabic (Bahrain)
ar-DZ = Arabic (Algeria)
ar-EG = Arabic (Egypt)
ar-IQ = Arabic (Iraq)
ar-JO = Arabic (Jordan)
ar-KW = Arabic (Kuwait)
ar-LB = Arabic (Lebanon)
ar-LY = Arabic (Libya)
ar-MA = Arabic (Morocco)
ar-OM = Arabic (Oman)
ar-QA = Arabic (Qatar)
ar-SA = Arabic (Saudi Arabia)
ar-SY = Arabic (Syria)
ar-TN = Arabic (Tunisia)
ar-YE = Arabic (Yemen)
arn = Mapudungun
arn-CL = Mapudungun (Chile)
as = Assamese
as-IN = Assamese (India)
az = Azeri
az-Cyrl-AZ = Azeri (Cyrillic, Azerbaijan)
az-Latn-AZ = Azeri (Latin, Azerbaijan)
ba = Bashkir
ba-RU = Bashkir (Russia)
be = Belarusian
be-BY = Belarusian (Belarus)
bg = Bulgarian
bg-BG = Bulgarian (Bulgaria)
bn = Bengali
bn-BD = Bengali (Bangladesh)
bn-IN = Bengali (India)
bo = Tibetan
bo-CN = Tibetan (PRC)
br = Breton
br-FR = Breton (France)
bs = Bosnian
bs-Cyrl-BA = Bosnian (Cyrillic, Bosnia and Herzegovina)
bs-Latn-BA = Bosnian (Latin, Bosnia and Herzegovina)
ca = Catalan
ca-ES = Catalan (Catalan)
co = Corsican
co-FR = Corsican (France)
cs = Czech
cs-CZ = Czech (Czech Republic)
cy = Welsh
cy-GB = Welsh (United Kingdom)
da = Danish
da-DK = Danish (Denmark)
de = German
de-AT = German (Austria)
de-CH = German (Switzerland)
de-DE = German (Germany)
de-LI = German (Liechtenstein)
de-LU = German (Luxembourg)
dsb = Lower Sorbian
dsb-DE = Lower Sorbian (Germany)
dv = Divehi
dv-MV = Divehi (Maldives)
el = Greek
el-GR = Greek (Greece)
en = English
en-029 = English (Caribbean)
en-AU = English (Australia)
en-BZ = English (Belize)
en-CA = English (Canada)
en-GB = English (United Kingdom)
en-IE = English (Ireland)
en-IN = English (India)
en-JM = English (Jamaica)
en-MY = English (Malaysia)
en-NZ = English (New Zealand)
en-PH = English (Republic of the Philippines)
en-SG = English (Singapore)
en-TT = English (Trinidad and Tobago)
en-US = English (United States)
en-ZA = English (South Africa)
en-ZW = English (Zimbabwe)
eo = Esperanto
es = Spanish
es-AR = Spanish (Argentina)
es-BO = Spanish (Bolivia)
es-CL = Spanish (Chile)
es-CO = Spanish (Colombia)
es-CR = Spanish (Costa Rica)
es-DO = Spanish (Dominican Republic)
es-EC = Spanish (Ecuador)
es-ES = Spanish (Spain)
es-GT = Spanish (Guatemala)
es-HN = Spanish (Honduras)
es-MX = Spanish (Mexico)
es-NI = Spanish (Nicaragua)
es-PA = Spanish (Panama)
es-PE = Spanish (Peru)
es-PR = Spanish (Puerto Rico)
es-PY = Spanish (Paraguay)
es-SV = Spanish (El Salvador)
es-US = Spanish (United States)
es-UY = Spanish (Uruguay)
es-VE = Spanish (Venezuela)
et = Estonian
et-EE = Estonian (Estonia)
eu = Basque
eu-ES = Basque (Basque)
fa = Persian
fa-IR = Persian (Iran)
fi = Finnish
fi-FI = Finnish (Finland)
fil = Filipino
fil-PH = Filipino (Philippines)
fo = Faroese
fo-FO = Faroese (Faroe Islands)
fr = French
fr-BE = French (Belgium)
fr-CA = French (Canada)
fr-CH = French (Switzerland)
fr-FR = French (France)
fr-LU = French (Luxembourg)
fr-MC = French (Principality of Monaco)
fy = Frisian
fy-NL = Frisian (Netherlands)
ga = Irish
ga-IE = Irish (Ireland)
gl = Galician
gl-ES = Galician (Galician)
gsw = Alsatian
gsw-FR = Alsatian (France)
gu = Gujarati
gu-IN = Gujarati (India)
ha = Hausa
ha-Latn-NG = Hausa (Latin, Nigeria)
iw = Hebrew
he = Hebrew
he-IL = Hebrew (Israel)
hi = Hindi
hi-IN = Hindi (India)
hr = Croatian
hr-BA = Croatian (Latin, Bosnia and Herzegovina)
hr-HR = Croatian (Croatia)
hsb = Upper Sorbian
hsb-DE = Upper Sorbian (Germany)
ht = Haitian Creole
hu = Hungarian
hu-HU = Hungarian (Hungary)
hy = Armenian
hy-AM = Armenian (Armenia)
ia = Interlingua
id = Indonesian
id-ID = Indonesian (Indonesia)
ig = Igbo
ig-NG = Igbo (Nigeria)
ii = Yi
ii-CN = Yi (PRC)
is = Icelandic
is-IS = Icelandic (Iceland)
it = Italian
it-CH = Italian (Switzerland)
it-IT = Italian (Italy)
iu = Inuktitut
iu-Cans-CA = Inuktitut (Canada)
iu-Latn-CA = Inuktitut (Latin, Canada)
ja = Japanese
ja-JP = Japanese (Japan)
ka = Georgian
ka-GE = Georgian (Georgia)
kk = Kazakh
kk-KZ = Kazakh (Kazakhstan)
kl = Greenlandic
kl-GL = Greenlandic (Greenland)
km = Khmer
km-KH = Khmer (Cambodia)
kn = Kannada
kn-IN = Kannada (India)
ko = Korean
ko-KR = Korean (Korea)
kok = Konkani
kok-IN = Konkani (India)
ky = Kyrgyz
ky-KG = Kyrgyz (Kyrgyzstan)
la = Latin
lb = Luxembourgish
lb-LU = Luxembourgish (Luxembourg)
lo = Lao
lo-LA = Lao (Lao P.D.R.)
lt = Lithuanian
lt-LT = Lithuanian (Lithuania)
lv = Latvian
lv-LV = Latvian (Latvia)
mi = Maori
mi-NZ = Maori (New Zealand)
mk = Macedonian
mk-MK = Macedonian (Former Yugoslav Republic of Macedonia)
ml = Malayalam
ml-IN = Malayalam (India)
mn = Mongolian
mn-MN = Mongolian (Cyrillic, Mongolia)
mn-Mong-CN = Mongolian (Traditional Mongolian, PRC)
mnc = Manchu
moh = Mohawk
moh-CA = Mohawk (Canada)
mr = Marathi
mr-IN = Marathi (India)
ms = Malay
ms-BN = Malay (Brunei Darussalam)
ms-MY = Malay (Malaysia)
mt = Maltese
mt-MT = Maltese (Malta)
my = Burmese
ne = Nepali
ne-Deva = Nepali (Devanagari)
ne-NP = Nepali (Nepal)
nl = Dutch
nl-BE = Dutch (Belgium)
nl-NL = Dutch (Netherlands)
no = Norwegian
nb-NO = Norwegian, Bokmål (Norway)
nn-NO = Norwegian, Nynorsk (Norway)
nso = Sesotho sa Leboa
nso-ZA = Sesotho sa Leboa (South Africa)
oc = Occitan
oc-FR = Occitan (France)
or = Oriya
or-IN = Oriya (India)
pa = Punjabi
pa-IN = Punjabi (India)
pl = Polish
pl-PL = Polish (Poland)
prs = Dari
prs-AF = Dari (Afghanistan)
ps = Pashto
ps-AF = Pashto (Afghanistan)
pt = Portuguese
pt-BR = Portuguese (Brazil)
pt-PT = Portuguese (Portugal)
qut = K'iche
qut-GT = K'iche (Guatemala)
quz = Quechua
quz-BO = Quechua (Bolivia)
quz-EC = Quechua (Ecuador)
quz-PE = Quechua (Peru)
rm = Romansh
rm-CH = Romansh (Switzerland)
ro = Romanian
ro-RO = Romanian (Romania)
ru = Russian
ru-RU = Russian (Russia)
rw = Kinyarwanda
rw-RW = Kinyarwanda (Rwanda)
sa = Sanskrit
sa-IN = Sanskrit (India)
sah = Yakut
sah-RU = Yakut (Russia)
se = Sami
se-FI = Sami (Northern, Finland)
se-NO = Sami (Northern, Norway)
se-SE = Sami (Northern, Sweden)
sma-NO = Sami (Southern, Norway)
sma-SE = Sami (Southern, Sweden)
smj-NO = Sami (Lule, Norway)
smj-SE = Sami (Lule, Sweden)
smn-FI = Sami (Inari, Finland)
sms-FI = Sami (Skolt, Finland)
si = Sinhala
si-LK = Sinhala (Sri Lanka)
sk = Slovak
sk-SK = Slovak (Slovakia)
sl = Slovenian
sl-SI = Slovenian (Slovenia)
sq = Albanian
sq-AL = Albanian (Albania)
sr = Serbian (Latin)
sr-Cyrl-BA = Serbian (Cyrillic, Bosnia and Herzegovina)
sr-Cyrl-CS = Serbian (Cyrillic, Serbia)
sr-Latn-BA = Serbian (Latin, Bosnia and Herzegovina)
sr-Latn-CS = Serbian (Latin, Serbia)
sv = Swedish
sv-FI = Swedish (Finland)
sv-SE = Swedish (Sweden)
sw = Kiswahili
sw-KE = Kiswahili (Kenya)
syr = Syriac
syr-SY = Syriac (Syria)
ta = Tamil
ta-IN = Tamil (India)
te = Telugu
te-IN = Telugu (India)
tg = Tajik
tg-Cyrl-TJ = Tajik (Cyrillic, Tajikistan)
th = Thai
th-TH = Thai (Thailand)
tk = Turkmen
tk-TM = Turkmen (Turkmenistan)
tl = Tagalog
tn = Setswana
tn-ZA = Setswana (South Africa)
tr = Turkish
tr-TR = Turkish (Turkey)
tt = Tatar
tt-RU = Tatar (Russia)
tzm = Tamazight
tzm-Latn-DZ = Tamazight (Latin, Algeria)
ug = Uighur
ug-CN = Uighur (PRC)
ug-Latn-CN = Uighur (Latin, PRC)
uk = Ukrainian
uk-UA = Ukrainian (Ukraine)
ur = Urdu
ur-PK = Urdu (Islamic Republic of Pakistan)
uz = Uzbek
uz-Cyrl-UZ = Uzbek (Cyrillic, Uzbekistan)
uz-Latn-UZ = Uzbek (Latin, Uzbekistan)
vi = Vietnamese
vi-VN = Vietnamese (Vietnam)
wo = Wolof
wo-SN = Wolof (Senegal)
xh = isiXhosa
xh-ZA = isiXhosa (South Africa)
yi = Yiddish
yo = Yoruba
yo-NG = Yoruba (Nigeria)
zh = Chinese
zh-CN = Chinese (S)
zh-HK = Chinese (Hong Kong)
zh-Hans = Chinese (Simplified)
zh-Hant = Chinese (Traditional)
zh-MO = Chinese (Macao)
zh-SG = Chinese (Singapore)
zh-TW = Chinese (T)
zu = isiZulu
zu-ZA = isiZulu (South Africa)
